Bug 118950 - incorrect error handling of errors other than EADDRINUSE
incorrect error handling of errors other than EADDRINUSE
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks: FC2Blocker
  Show dependency treegraph
 
Reported: 2004-03-22 21:00 EST by Jeremy Katz
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-23 17:25:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
the fix (475 bytes, patch)
2004-03-22 21:02 EST, Jeremy Katz
no flags Details | Diff

  None (edit)
Description Jeremy Katz 2004-03-22 21:00:42 EST
Unix socket creation returns EADDRINUSE for all other errors.  Looks
like it's a simple merge problem from annotating upstream.

This causes problems starting rhgb the second time you boot (when
/tmp/.X11-unix) already exists as the bind gets EROFS but treats it as
EADDRINUSE.
Comment 1 Jeremy Katz 2004-03-22 21:02:43 EST
Created attachment 98768 [details]
the fix

Also, filed upstream as
http://freedesktop.org/cgi-bin/bugzilla/show_bug.cgi?id=363
Comment 2 Mike A. Harris 2004-03-23 17:25:33 EST
Patch added to xorg-x11-0.0.6.6-0.0.2004_03_11.7 which is now
present in dist-fc2.

Closing as 'RAWHIDE'

Note You need to log in before you can comment on or make changes to this bug.